IF DB_ID('Tanarertekelo') IS NOT NULL
	DROP DATABASE Tanarertekelo;
GO

CREATE DATABASE Tanarertekelo;
GO
USE Tanarertekelo;
GO

create table Tanar(
   Azon INTEGER PRIMARY KEY IDENTITY(1,1),
   Nev VARCHAR(50) NOT NULL,
   Intezmeny VARCHAR(50) NOT NULL
);

create table Ertekeles(
   Azon INTEGER PRIMARY KEY IDENTITY(1,1),
   TanarAzon INTEGER NOT NULL,
   Eloadasmod INTEGER NOT NULL,
   Segitokeszseg INTEGER NOT NULL,
   Felkeszultseg INTEGER NOT NULL,
   KovTelj INTEGER NOT NULL,
   Megjegyzes TEXT,
   CONSTRAINT ErtekelesTanar
   FOREIGN KEY (TanarAzon)
   REFERENCES Tanar (Azon)
);
GO

insert into Tanar(Nev, Intezmeny) values ('Giachetta Roberto','ELTE IK');
insert into Tanar(Nev, Intezmeny) values ('Engedkeny Elemr','ELTE IK');
insert into Tanar(Nev, Intezmeny) values ('Vreskez Veronika','ELTE TTK');
insert into Tanar(Nev, Intezmeny) values ('Nagyarc Norbert','ELTE IK');

insert into Ertekeles(TanarAzon,Eloadasmod,Segitokeszseg,Felkeszultseg,KovTelj,Megjegyzes) values(2,5,5,4,5,'kirly!');
insert into Ertekeles(TanarAzon,Eloadasmod,Segitokeszseg,Felkeszultseg,KovTelj,Megjegyzes) values(3,3,4,2,2,'levlttte a fejem, nem rt semmihez, s mg meg is buktatott!');
insert into Ertekeles(TanarAzon,Eloadasmod,Segitokeszseg,Felkeszultseg,KovTelj,Megjegyzes) values(2,5,5,5,5,' a legjobb!');
insert into Ertekeles(TanarAzon,Eloadasmod,Segitokeszseg,Felkeszultseg,KovTelj,Megjegyzes) values(2,5,3,3,3,'tl halkan beszl');
insert into Ertekeles(TanarAzon,Eloadasmod,Segitokeszseg,Felkeszultseg,KovTelj,Megjegyzes) values(3,2,2,2,3,'tl hnagosan beszl');
insert into Ertekeles(TanarAzon,Eloadasmod,Segitokeszseg,Felkeszultseg,KovTelj,Megjegyzes) values(4,1,1,1,1,'CENZRZVA');
GO